/*
 *
 *  Created on: Mar 1, 2021
 *      Author: astrisw
 *
 */

#ifndef BASEARCHIVER_H_
#define BASEARCHIVER_H_

#include <string>
#include <Base_Packet.h>


namespace inaf::oasbo::Archivers{


class BaseArchiver{
protected:
	std::string dest;
public:

	virtual int write(PacketLib::BasePacket &) = 0;
	virtual int write(PacketLib::BasePacket &, std::string destination) = 0;


	virtual int open()=0;
	virtual int close()=0;
	virtual bool is_open()=0;
	virtual void setDest(std::string dest) = 0;
	virtual void updateDest()=0;
	virtual std::string getDest() = 0;
	virtual ~BaseArchiver() = default;

};
}
#endif /* BASEARCHIVER_H_ */
