/*
 *
 *  Created on: Mar 1, 2021
 *      Author: astrisw
 *
 */

#ifndef BASEPROVIDER_H_
#define BASEPROVIDER_H_

#include <string>
#include <Base_Packet.h>

namespace inaf::oasbo::Providers {
class BaseProvider{
protected:
	std::string dest;
public:
	virtual int write(PacketLib::BasePacket &) = 0;
	virtual int write(PacketLib::BasePacket &, std::string dest) = 0;

	virtual int open()=0;
	virtual int close()=0;
	virtual bool isOpen() = 0;
	virtual void setDest(std::string dest) = 0;
	virtual std::string getDest() = 0;
	virtual ~BaseProvider() = default;
};
}
#endif /* BASEPROVIDER_H_ */
